# Notification action

A decision block that present action buttons in a status bar notification and wait until the user clicks any of them.

The fiber will pause until the user clicked an action button, cancelled the notification or the timeout expired.

Use the Notification show block with proceed Immediately prior to this block.

When an action button has been clicked, the Action index variable is assign with its index, all buttons are removed while leaving the notification visible as the block proceed through the YES path. The NO path is executed if the notification was cancelled or hidden prior to or during this block, or the timeout expired.

Note! This feature requires Android 4.1+. The action icons may not be displayed on Android 8+.

## Input arguments

- Primary action label — label of the primary (first) action.
- Primary action icon URI — URI or filename of image to show as icon for the primary (first) action, always monochrome. (Android 6+ except for some buggy Samsung/Sony devices)
- Secondary action label — label of the secondary (second) action.
- Secondary action icon URI — URI or filename of image to show as icon for icon for the secondary (second) action, always monochrome. (Android 6+ except for some buggy Samsung/Sony devices)
- Tertiary action label — label of the tertiary (third) action.
- Tertiary action icon URI — URI or filename of image to show as icon for icon for the tertiary (third) action, always monochrome. (Android 6+ except for some buggy Samsung/Sony devices)
- Timeout — time until the block automatically proceed through the NO path, default is no timeout.

## Output variables

- Action index — variable to assign the index (0, 1 or 2) of the clicked action button.